Dashboards
Dashboards built from reports, and pinning.
- GET
/dashboards - POST
/dashboards - GET
/dashboards/{id} - PATCH
/dashboards/{id} - DELETE
/dashboards/{id} - POST
/dashboards/{id}/pin
List dashboards
GET
/dashboardsScope
dashboards:viewRead-onlyQuery parameters
| Name | Type |
|---|---|
q | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/dashboards" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a dashboard
POST
/dashboardsScope
dashboards:createWrites dataRequest body
| Field | Type |
|---|---|
namerequired | string |
description | string |
grid | any |
lenses | any |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/dashboards" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name":"…","description":"…","grid":{},"lenses":{}}'Get a dashboard
GET
/dashboards/{id}Scope
dashboards:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/dashboards/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a dashboard
PATCH
/dashboards/{id}Scope
dashboards:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/dashboards/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete a dashboard
DELETE
/dashboards/{id}Scope
dashboards:manageWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/dashboards/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Pin / unpin a dashboard
POST
/dashboards/{id}/pinScope
dashboards:viewWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Request body
| Field | Type |
|---|---|
pinnedrequired | boolean |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/dashboards/{id}/pin" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"pinned":false}'